using System;
using Quadarax.Foundation.Infrastructure.Layers;

namespace _Workbench.Layers.Modules
{
    public class ModBusiness : Module, IModBuss
    {
        private IModData _data;
        private IModGlobal _global;
        public ModBusiness(IModGlobal context, IModData data) : base(typeof(ModBusiness).Name)
        {
            _global = context ?? throw new ArgumentNullException(nameof(context));
            _data = data ?? throw new ArgumentNullException(nameof(data));
        }

        public override LayerClassificationEnum Layer => LayerClassificationEnum.Business;
    }
}
